org.eclipse.swt.events

## Interface ControlListener

All Superinterfaces:
  EventListener, SWTEventListener

All Known Implementing Classes:
  AnnotationBarHoverManager.Closer, ControlAdapter

    public interface ControlListener
    extends SWTEventListener

Classes which implement this interface provide methods that deal with the events that are generated by moving and resizing controls.

After creating an instance of a class that implements this interface it can be added to a control using the `addControlListener` method and removed using the `removeControlListener` method. When a control is moved or resized, the appropriate method will be invoked.

See Also:
  `ControlAdapter`, `ControlEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `controlMoved(ControlEvent e)` Sent when the location (x, y) of a control changes relative to its parent (or relative to the display, for `Shell`s).
`void` `controlResized(ControlEvent e)` Sent when the size (width, height) of a control changes.

### Method Detail

#### controlMoved

    void controlMoved(ControlEvent e)

Sent when the location (x, y) of a control changes relative to its parent (or relative to the display, for `Shell`s).

Parameters:
  `e` - an event containing information about the move

#### controlResized

    void controlResized(ControlEvent e)

Sent when the size (width, height) of a control changes.

Parameters:
  `e` - an event containing information about the resize